---
version: "3"

networks:
  proxy:
    external: true
  internal:

volumes:
  postgres:
  redis:
  web-shared:
  web-log:

services:
  redis:
    image: redis:7.0
    restart: unless-stopped
    volumes:
      - redis:/data
    networks:
      - internal

  postgres:
    image: postgres:15.1
    restart: unless-stopped
    volumes:
      - postgres:/var/lib/postgresql/data
    env_file: postgres.env
    networks:
      - internal

  web:
    image: {{discourse_web_image}}:{{discourse_web_image_version}}
    restart: unless-stopped
    shm_size: 512m
    command: /sbin/boot
    depends_on:
      - redis
      - postgres
    env_file: web.env
    volumes:
      - web-shared:/shared
      - web-log:/var/log
    networks:
      - proxy
      - internal
